unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, ExtCtrls, StdCtrls, siComp;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    ComboBox1: TComboBox;
    Label2: TLabel;
    Panel1: TPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    siLang1: TsiLang;
    procedure ComboBox1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit6, Unit2, Unit3, Unit4, Unit5;

{$R *.DFM}

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  DataModule6.siLangDispatcher1.ActiveLanguage := ComboBox1.ItemIndex + 1;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ComboBox1.ItemIndex := 0;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  if SpeedButton1.Down then Form2.Show
  else Form2.Close;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  if SpeedButton2.Down then Form3.Show
  else Form3.Close;
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
  if SpeedButton3.Down then Form4.Show
  else Form4.Close;
end;

procedure TForm1.SpeedButton4Click(Sender: TObject);
begin
  if SpeedButton4.Down then Form5.Show
  else Form5.Close;
end;

end.
